# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Defines | Enumerations | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/plugins/vlDDS.cpp File Reference

`#include "vlDDS.hpp"`
`#include <vlCore/LoadWriterManager.hpp>`
`#include <vlCore/VisualizationLibrary.hpp>`
`#include <vlCore/FileSystem.hpp>`
`#include <vlCore/VirtualFile.hpp>`
`#include <vlCore/Image.hpp>`
`#include <vlCore/ImageTools.hpp>`

Go to the source code of this file.

## Defines

#define | IS_BGRA8(pf)
#define | IS_BGRX8(pf)
#define | IS_BGR8(pf)
#define | IS_GRAY8(pf)
#define | IS_GRAY8_ALPHA8(pf)
#define | IS_PALETTE8(pf) isFOURCC("P8 ", pf.dwFourCC )
#define | IS_DXT1(pf) isFOURCC("DXT1", pf.dwFourCC)
#define | IS_DXT3(pf) isFOURCC("DXT3", pf.dwFourCC)
#define | IS_DXT5(pf) isFOURCC("DXT5", pf.dwFourCC)

## Enumerations

enum |

## Functions

| VL_COMPILE_TIME_CHECK (sizeof(DDSURFACEDESC2)==124)

## Define Documentation

#define IS_BGRA8 | ( |  | pf ) |

Value:

    ((pf.dwFlags & DDPF_RGB) && \
         (pf.dwFlags & DDPF_ALPHAPIXELS) && \
         (pf.dwRGBBitCount == 32))

Definition at line 128 of file vlDDS.cpp.

Referenced by vl::loadDDS().

#define IS_BGRX8 | ( |  | pf ) |

Value:

    ((pf.dwFlags & DDPF_RGB) && \
         !(pf.dwFlags & DDPF_ALPHAPIXELS) && \
         (pf.dwRGBBitCount == 32))

Definition at line 133 of file vlDDS.cpp.

Referenced by vl::loadDDS().

#define IS_BGR8 | ( |  | pf ) |

Value:

    ((pf.dwFlags & DDPF_RGB) && \
        !(pf.dwFlags & DDPF_ALPHAPIXELS) && \
         (pf.dwRGBBitCount == 24))

Definition at line 138 of file vlDDS.cpp.

Referenced by vl::loadDDS().

#define IS_GRAY8 | ( |  | pf ) |

Value:

    ((((pf.dwFlags & DDPF_LUMINANCE) || (pf.dwFlags & DDPF_ALPHA) ) && \
        (pf.dwRGBBitCount == 8) && !(pf.dwFlags & DDPF_ALPHAPIXELS) ) || \
         isFOURCC("G8  ", pf.dwFourCC ) )

Definition at line 143 of file vlDDS.cpp.

Referenced by vl::loadDDS().

#define IS_GRAY8_ALPHA8 | ( |  | pf ) |

Value:

    (((pf.dwFlags & DDPF_LUMINANCE) && \
        (pf.dwRGBBitCount == 16) && (pf.dwFlags & DDPF_ALPHAPIXELS)) || \
         isFOURCC("AG8 ", pf.dwFourCC ) )

Definition at line 148 of file vlDDS.cpp.

Referenced by vl::loadDDS().

#define IS_PALETTE8 | ( |  | pf ) | isFOURCC("P8 ", pf.dwFourCC )

Definition at line 153 of file vlDDS.cpp.

Referenced by vl::loadDDS().

#define IS_DXT1 | ( |  | pf ) | isFOURCC("DXT1", pf.dwFourCC)

Definition at line 155 of file vlDDS.cpp.

Referenced by vl::loadDDS().

#define IS_DXT3 | ( |  | pf ) | isFOURCC("DXT3", pf.dwFourCC)

Definition at line 157 of file vlDDS.cpp.

Referenced by vl::loadDDS().

#define IS_DXT5 | ( |  | pf ) | isFOURCC("DXT5", pf.dwFourCC)

Definition at line 159 of file vlDDS.cpp.

Referenced by vl::loadDDS().

## Enumeration Type Documentation

anonymous enum

Definition at line 197 of file vlDDS.cpp.

## Function Documentation

VL_COMPILE_TIME_CHECK | ( | sizeof(DDSURFACEDESC2) | = `=124` ) |

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:27.
Permission is granted to use this page to write and publish articles regarding Visualization Library.